## dawg 1.2

=== CMakeLists.txt ===
###########################################################
#  Dawg's Project Configuration
#

CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)
SET(CMAKE_BUILD_TYPE_INIT "RelWithDebInfo")
SET(CMAKE_VERBOSE_MAKEFILE OFF)
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/Modules")

PROJECT(Dawg)

SET(PROJ_NAME "dawg")
SET(PROJ_NAME_PRO "Dawg")
SET(PROJ_EMAIL "reed@scit.us")
SET(PROJ_VERSION_BRANCH release)
SET(PROJ_VERSION_MAJOR 1)
SET(PROJ_VERSION_MINOR 2)
#SET(PROJ_VERSION_PATCH 0)
#SET(PROJ_VERSION_REV 0)

IF(NOT PROJ_VERSION_REV)
  # Test for Working copy
  IF(EXISTS "${PROJECT_SOURCE_DIR}/.svn")
    FIND_PACKAGE(Subversion)
    IF(Subversion_FOUND)
      Subversion_WC_INFO(${PROJECT_SOURCE_DIR} PROJ)
      SET(PROJ_VERSION_REV "${PROJ_WC_LAST_CHANGED_REV}")
    ENDIF(Subversion_FOUND)
  ELSE(EXISTS "${PROJECT_SOURCE_DIR}/.svn")
	# extract revision from source dir
	STRING(REGEX REPLACE ".*-r([0-9]+)$" "\\1"  PROJ_VERSION_REV ${PROJECT_SOURCE_DIR})
  ENDIF(EXISTS "${PROJECT_SOURCE_DIR}/.svn")
ENDIF(NOT PROJ_VERSION_REV)

SET(PROJ_VERSION "${PROJ_VERSION_MAJOR}")
IF(PROJ_VERSION_MINOR)
  SET(PROJ_VERSION "${PROJ_VERSION}.${PROJ_VERSION_MINOR}")
ENDIF(PROJ_VERSION_MINOR)
IF(PROJ_VERSION_PATCH)
  SET(PROJ_VERSION "${PROJ_VERSION}.${PROJ_VERSION_PATCH}")
ENDIF(PROJ_VERSION_PATCH)
IF(DEFINED PROJ_VERSION_BRANCH)
	SET(PROJ_VERSION "${PROJ_VERSION}-${PROJ_VERSION_BRANCH}")
ENDIF(DEFINED PROJ_VERSION_BRANCH)
IF(PROJ_VERSION_REV)
  IF(NOT PROJ_VERSION_BRANCH MATCHES release)
    SET(PROJ_VERSION "${PROJ_VERSION}-r${PROJ_VERSION_REV}")
  ENDIF(NOT PROJ_VERSION_BRANCH MATCHES release)
ENDIF(PROJ_VERSION_REV)

IF(APPLE)
  IF(NOT DEFINED APPLE_BUNDLE)
	SET(APPLE_BUNDLE ON)
  ENDIF(NOT DEFINED APPLE_BUNDLE)
  IF(NOT DEFINED APPLE_BUNDLE_APP)
    SET(APPLE_BUNDLE_APP OFF)
  ENDIF(NOT DEFINED APPLE_BUNDLE_APP)
ELSE(APPLE)
  SET(APPLE_BUNDLE OFF)
  SET(APPLE_BUNDLE_APP OFF)
ENDIF(APPLE)

IF(APPLE_BUNDLE)
  # Create 32-bit Universal Binary
  # SET(CMAKE_OSX_ARCHITECTURES "ppc;i386")
  # SET(CPACK_SYSTEM_NAME "${CMAKE_SYSTEM_NAME}-universal")
  IF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/Applications")
  ENDIF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
ENDIF(APPLE_BUNDLE)

IF(WIN32 AND NOT UNIX)
  SET(PROJ_DIR)
ELSEIF(APPLE_BUNDLE)
  SET(PROJ_DIR)
ELSE(WIN32 AND NOT UNIX)
  SET(PROJ_DIR "/${PROJ_NAME}-${PROJ_VERSION}")
ENDIF(WIN32 AND NOT UNIX)

SET(CMAKE_DATA_DIR "share${PROJ_DIR}" CACHE STRING
  "Install location for data (relative to prefix).")
SET(CMAKE_DOC_DIR "doc${PROJ_DIR}" CACHE STRING
  "Install location for documentation (relative to prefix).")
SET(CMAKE_MAN_DIR "man" CACHE STRING
  "Install location for man pages (relative to prefix).")
MARK_AS_ADVANCED(CMAKE_DATA_DIR CMAKE_DOC_DIR CMAKE_MAN_DIR)

SET(CPACK_SOURCE_IGNORE_FILES
  "/CVS/" "/\\\\.svn/"  "\\\\.swp$"  "\\\\.#"  "/#"  ".*~$"
  "/CMakeFiles/"  "CMakeCache\\\\.txt"
  "CPack.*Config\\\\.cmake"  "cmake_install\\\\.cmake"
  "install_manifest\\\\.txt$"
  "_CPACK_PACKAGES"  "_CPack_Packages"
  "\\\\.vcproj"  "\\\\.dir"  "\\\\.ncb$"  "\\\\.sln$"  "\\\\.suo$"
  "Makefile$" "\\\\.ilk"  "\\\\.pdb"
  "/releng/"
  "${PROJ_NAME}[-]${PROJ_VERSION_MAJOR}" "${PROJ_NAME}$" "${PROJ_NAME}\\\\.exe"
)

SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Sequence Evolution Simulator")
SET(CPACK_PACKAGE_VENDOR "Reed A. Cartwright")
SET(CPACK_PACKAGE_EXECUTABLES "dawg" "Dawg")
SET(CPACK_CREATE_DESKTOP_LINKS "dawg")

SET(CPACK_PACKAGE_INSTALL_DIRECTORY ${PROJ_NAME_PRO})
SET(CPACK_PACKAGE_NAME ${PROJ_NAME_PRO})
SET(CPACK_PACKAGE_NAME_FILE ${PROJ_NAME})
SET(CPACK_PACKAGE_VERSION ${PROJ_VERSION})
SET(CPACK_PACKAGE_VERSION_MAJOR ${PROJ_VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${PROJ_VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${PROJ_VERSION_PATCH})
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/readme.txt")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/copying.txt")

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME_FILE}-${CPACK_PACKAGE_VERSION}")

IF(NOT DEFINED CPACK_SYSTEM_NAME)
# make sure package is not Cygwin-unknown, for Cygwin just
# cygwin is good for the system name
  IF("${CMAKE_SYSTEM_NAME}" STREQUAL "CYGWIN")
    SET(CPACK_SYSTEM_NAME Cygwin)
  ELSE("${CMAKE_SYSTEM_NAME}" STREQUAL "CYGWIN")
    SET(CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR})
  ENDIF("${CMAKE_SYSTEM_NAME}" STREQUAL "CYGWIN")
ENDIF(NOT DEFINED CPACK_SYSTEM_NAME)
IF(${CPACK_SYSTEM_NAME} MATCHES Windows)
  IF(CMAKE_CL_64)
    SET(CPACK_SYSTEM_NAME win64-${CMAKE_SYSTEM_PROCESSOR})
  ELSE(CMAKE_CL_64)
    SET(CPACK_SYSTEM_NAME win32-${CMAKE_SYSTEM_PROCESSOR})
  ENDIF(CMAKE_CL_64)
ENDIF(${CPACK_SYSTEM_NAME} MATCHES Windows)

IF(NOT DEFINED CPACK_PACKAGE_FILE_NAME)
# if the CPACK_PACKAGE_FILE_NAME is not defined by the cache
# default to source package - system, on cygwin system is not 
# needed
  IF(CYGWIN)
    SET(CPACK_PACKAGE_FILE_NAME "${CPACK_SOURCE_PACKAGE_FILE_NAME}")
  ELSE(CYGWIN)
    SET(CPACK_PACKAGE_FILE_NAME 
      "${CPACK_SOURCE_PACKAGE_FILE_NAME}-${CPACK_SYSTEM_NAME}")
  ENDIF(CYGWIN)
ENDIF(NOT DEFINED CPACK_PACKAGE_FILE_NAME)

IF(WIN32 AND NOT UNIX)
  # There is a bug in NSI that does not handle full unix paths properly. Make
  # sure there is at least one set of four (4) backlasshes.
  #SET(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/Utilities/Release\\\\InstallIcon.bmp")
  SET(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\dawg.exe")
  SET(CPACK_NSIS_HELP_LINK "http:\\\\\\\\scit.us\\\\projects\\\\dawg\\\\")
  SET(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\scit.us\\\\projects\\\\dawg\\\\")
  SET(CPACK_NSIS_CONTACT "reed@scit.us")
  SET(CPACK_NSIS_DISPLAY_NAME "${PROJ_NAME_PRO} ${PROJ_VERSION}")
  SET(CPACK_NSIS_MODIFY_PATH ON)
ELSEIF(APPLE)
  SET(CPACK_GENERATOR "PackageMaker")
  SET(CPACK_SOURCE_GENERATOR "TGZ") 
  IF(APPLE_BUNDLE)
    # make sure CMAKE_INSTALL_PREFIX ends in /
    STRING(LENGTH "${CMAKE_INSTALL_PREFIX}" LEN)
    MATH(EXPR LEN "${LEN} -1" )
    STRING(SUBSTRING "${CMAKE_INSTALL_PREFIX}" ${LEN} 1 ENDCH)
    IF(NOT "${ENDCH}" STREQUAL "/")
      SET(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/")
    ENDIF(NOT "${ENDCH}" STREQUAL "/")
    SET(CPACK_PACKAGE_DEFAULT_LOCATION ${CMAKE_INSTALL_PREFIX})
    SET(PROJ_BUNDLE_NAME "${PROJ_NAME} ${PROJ_VERSION}")
	IF(APPLE_BUNDLE_APP)
	  SET(PROJ_BUNDLE_LOCATION "../..")
      SET(CPACK_PACKAGING_INSTALL_PREFIX "/${PROJ_BUNDLE_NAME}.app/Contents")
      SET(CMAKE_INSTALL_PREFIX 
        "${CMAKE_INSTALL_PREFIX}${CMAKE_BUNDLE_NAME}.app/Contents")
	ELSE(APPLE_BUNDLE_APP)
	  SET(CPACK_PACKAGING_INSTALL_PREFIX "/${PROJ_BUNDLE_NAME}")
      SET(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}${CMAKE_BUNDLE_NAME}")
    ENDIF(APPLE_BUNDLE_APP)
    #CONFIGURE_FILE("postflight.sh.in" "postflight.sh")	  
    #SET(CPACK_POSTFLIGHT_SCRIPT "postflight.sh")
	ELSE(APPLE_BUNDLE)
  ENDIF(APPLE_BUNDLE)
ELSE(WIN32 AND NOT UNIX)
  SET(CPACK_GENERATOR "TGZ")
  SET(CPACK_SOURCE_GENERATOR "TGZ") 
  SET(CPACK_STRIP_FILES "bin/spagedi")
ENDIF(WIN32 AND NOT UNIX)

INCLUDE(CPack)

INSTALL(FILES copying.txt readme.txt changelog.txt DESTINATION ${CMAKE_DOC_DIR})
INSTALL(FILES lambda.pl outsplit.pl nexus2fasta.pl varrep.pl DESTINATION ${CMAKE_DATA_DIR})

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(examples)
ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(tests)

#INCLUDE(InstallRequiredSystemLibraries)

=== examples/CMakeLists.txt ===
INSTALL(FILES
  example0.dawg
  example1.dawg
  example2.dawg
  example3.dawg
  example4.dawg
  DESTINATION "${CMAKE_DATA_DIR}/examples")

=== src/CMakeLists.txt ===
INCLUDE(CheckIncludeFile)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckLibraryExists)

SET(BISON_GENERATE_DEFINES TRUE)
SET(BISON_PREFIX_OUTPUTS TRUE)
INCLUDE(CMakeUserUseBison)
SET(FLEX_PREFIX_OUTPUTS TRUE)
INCLUDE(CMakeUserUseFlex)
IF( NOT BISON_EXECUTABLE OR NOT FLEX_EXECUTABLE )
  MESSAGE( SEND_ERROR "Bison and Flex are required" )
ENDIF( NOT BISON_EXECUTABLE OR NOT FLEX_EXECUTABLE ) 

ADD_DEFINITIONS(-DHAVE_CONFIG_H
  "\"-DPACKAGE_STRING=\\\"${PROJ_NAME} ${PROJ_VERSION}\\\"\""
  "\"-DPACKAGE_BUGREPORT=\\\"${PROJ_EMAIL}\\\"\""
)

IF(CMAKE_COMPILER_IS_GNUCC)
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
ENDIF(CMAKE_COMPILER_IS_GNUCC)

IF(CMAKE_COMPILER_IS_GNUCC)
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
ENDIF(CMAKE_COMPILER_IS_GNUCC)

IF(MSVC)
  ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE)
  ADD_DEFINITIONS(-D_SCL_SECURE_NO_DEPRECATE)
  SET(CMAKE_C_FLAGS "${MY_C_FLAGS} /wd4100 /wd4101 /wd4189 /wd4706")
  STRING(REGEX REPLACE "/MD" "/MT" CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE}")
  STRING(REGEX REPLACE "/MDd" "/MTd" CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG}")
  STRING(REGEX REPLACE "/MD" "/MT" CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")
  STRING(REGEX REPLACE "/MDd" "/MTd" CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}")
  
  # Use the highest warning level for visual studio.
  SET(CMAKE_C_WARNING_LEVEL 4)
  IF(CMAKE_C_FLAGS MATCHES "/W[0-4]")
    STRING(REGEX REPLACE "/W[0-4]" "/W4"
           CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")
  ELSE(CMAKE_C_FLAGS MATCHES "/W[0-4]")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /W4")
  ENDIF(CMAKE_C_FLAGS MATCHES "/W[0-4]")
ENDIF(MSVC)

IF(WIN32)
 SET(RES_SRCS ${RES_SRCS} dawg.rc)
ENDIF(WIN32)

IF(APPLE_BUNDLE_APP)
  SET(PROJ_MACOSX_BUNDLE MACOSX_BUNDLE)
ENDIF(APPLE_BUNDLE_APP)

CHECK_INCLUDE_FILE(unistd.h  HAVE_UNISTD_H)
CHECK_INCLUDE_FILE(process.h HAVE_PROCESS_H)
CHECK_INCLUDE_FILE(io.h HAVE_IO_H)
CHECK_INCLUDE_FILE(getopt.h  HAVE_GETOPT_H)
CHECK_INCLUDE_FILE(stdint.h  HAVE_STDINT_H)
CHECK_INCLUDE_FILE(sys/types.h HAVE_SYS_TYPES_H)

CHECK_FUNCTION_EXISTS( getpid   HAVE_GETPID)
CHECK_FUNCTION_EXISTS(_getpid   HAVE__GETPID)
CHECK_FUNCTION_EXISTS( copysign HAVE_COPYSIGN)
CHECK_FUNCTION_EXISTS(_copysign HAVE__COPYSIGN)
CHECK_FUNCTION_EXISTS( snprintf HAVE_SNPRINTF)
CHECK_FUNCTION_EXISTS(_snprintf HAVE__SNPRINTF)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
INCLUDE_DIRECTORIES(BEFORE "${CMAKE_CURRENT_BINARY_DIR}")

BISON_FILE(parser.ypp)
FLEX_FILE(parser.lpp)

SET_SOURCE_FILES_PROPERTIES(lex.parser.cpp parser.tab.cpp PROPERTIES COMPILE_FLAGS "-I \"${CMAKE_CURRENT_SOURCE_DIR}\"")

IF(NOT HAVE_UNISTD_H)
  SET_SOURCE_FILES_PROPERTIES(lex.parser.cpp PROPERTIES COMPILE_FLAGS
  "-I \"${CMAKE_CURRENT_SOURCE_DIR}\" -I \"${CMAKE_CURRENT_SOURCE_DIR}/compat/unistd\"")
ENDIF(NOT HAVE_UNISTD_H)


IF(NOT HAVE_GETOPT_H)
  INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}/compat/getopt")
  SET(COMPAT ${COMPAT} compat/getopt/getopt.c)
ENDIF(NOT HAVE_GETOPT_H)

ADD_EXECUTABLE(dawg ${PROJ_MACOSX_BUNDLE}
  dawg.cpp eigen.cpp indel.cpp matrix.cpp output.cpp rand.cpp tree.cpp var.cpp
  parser.lpp parser.ypp lex.parser.cpp parser.tab.cpp parser.tab.hpp
  dawg.h indel.h matrix.h rand.h tree.h var.h
  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
  ${COMPAT}
  ${RES_SRCS})

TARGET_LINK_LIBRARIES(dawg ${CMAKE_REQUIRED_LIBRARIES})

IF(APPLE_BUNDLE_APP)
  SET_TARGET_PROPERTIES(dawg PROPERTIES OUTPUT_NAME ${PROJ_BUNDLE_NAME})
  SET(PROJ_INSTALL_EXTRA_ARGS BUNDLE DESTINATION "${PROJ_BUNDLE_LOCATION}")
ENDIF(APPLE_BUNDLE_APP)

INSTALL(TARGETS dawg RUNTIME DESTINATION bin ${PROJ_INSTALL_EXTRA_ARGS})

IF(UNIX)
  INSTALL(FILES dawg.desktop DESTINATION share/applications )
  INSTALL(FILES dawg.png DESTINATION share/pixmaps )
ENDIF(UNIX)

IF(APPLE_BUNDLE_APP)
  INSTALL(CODE "file(MAKE_DIRECTORY \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/bin)")
  INSTALL(CODE "execute_process(COMMAND ln -s \"../MacOS/${PROJ_BUNDLE_NAME}\" dawg
                  WORKING_DIRECTORY \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/bin)")
ENDIF(APPLE_BUNDLE_APP)

=== debian/changelog ===
dawg (1.2-5) unstable; urgency=medium

  * Team upload.
  * Fix Build with CMake 4
    Closes: #1112828
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Oct 2025 10:55:33 +0200

dawg (1.2-4) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)
  * Document issues with test (see upstream issue #56)

 -- Andreas Tille <tille@debian.org>  Mon, 08 Nov 2021 20:56:50 +0100

dawg (1.2-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 10:20:01 +0100

dawg (1.2-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload
  * Add citation
  * Homepage vanished but project is on Github - use this as homepage
  * cme fix dpkg-control
  * debhelper 11
  * d/watch: version=4
  * Fix short description
  * run build time test and add autopkgtest
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Cleanup d/rules

  [ Steffen Möller ]
  * debian/upstream/metadata: Ref to OMICtools (Steffen Moeller)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jul 2018 09:10:34 +0200

dawg (1.2-1) unstable; urgency=low

  * Initial release (Closes: #806828)

 -- Kevin Murray <spam@kdmurray.id.au>  Tue, 01 Dec 2015 12:25:35 +1100

=== debian/control ===
Source: dawg
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Kevin Murray <spam@kdmurray.id.au>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 bison,
 flex,
Vcs-Browser: https://salsa.debian.org/med-team/dawg
Vcs-Git: https://salsa.debian.org/med-team/dawg.git
Homepage: https://github.com/reedacartwright/dawg
Rules-Requires-Root: no

Package: dawg
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: simulate the evolution of recombinant DNA sequences
 DNA Assembly with Gaps (Dawg) is an application designed to simulate the
 evolution of recombinant DNA sequences in continuous time based on the robust
 general time reversible model with gamma and invariant rate heterogeneity and
 a novel length-dependent model of gap formation. The application accepts
 phylogenies in Newick format and can return the sequence of any node,
 allowing for the exact evolutionary history to be recorded at the discretion
 of users. Dawg records the gap history of every lineage to produce the true
 alignment in the output. Many options are available to allow users to
 customize their simulations and results.

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BINDIR := $(CURDIR)/obj-$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)/src

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
	-DCMAKE_DATA_DIR=/usr/share/doc/dawg \
	-DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/$(DEB_SOURCE)/usr/share/doc/dawg/examples/*

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# FIXME: This test fails - but let the build pass anyway for the moment
	#  see https://github.com/reedacartwright/dawg/issues/56
	cd tests && PATH=$$PATH:$(BINDIR) sh test0.sh || true
endif

=== debian/watch ===
Version: 5

Template: Github
Owner: reedacartwright
Project: dawg
